Author Topic: line style that i can't figure out  (Read 4070 times)

0 Members and 1 Guest are viewing this topic.

uncoolperson

  • Guest
line style that i can't figure out
« on: April 11, 2006, 10:31:49 AM »
so i'm at the new job, trying to fix a few things and i was told to take a look at this line (we'll call it "reroute wire"), because it has all kinds of zoom problems, and the whole it no being whole (3 lines)

now any ideas on how to make this a one piece deal?

Code: [Select]
-linetype s HIDDEN  _pline \w .06 .06 \ _OFFSET .03 @ @; _CHANGE L; P LT CONTINUOUS; PEDIT L W .01; _OFFSET .06 @ @;;


Thanks all, this seems like it should be something simple...
« Last Edit: October 24, 2007, 01:28:29 PM by uncoolperson »

David Hall

  • Automatic Duh Generator
  • King Gator
  • Posts: 4076
Re: line style that i can't figure out
« Reply #1 on: April 11, 2006, 12:44:00 PM »
what about a multiline made up of 3 pieces?
Everyone has a photographic memory, Some just don't have film.
They say money can't buy happiness, but it can buy Bacon and that's a close second.
Sometimes the question is more important than the answer. (Thanks Kerry for reminding me)

uncoolperson

  • Guest
Re: line style that i can't figure out
« Reply #2 on: April 11, 2006, 01:08:50 PM »
the problem with multi line is i need the dash in the middle to be huge (wide) and the lines on the outside to be skinney

RbtDanforth

  • Guest
Re: line style that i can't figure out
« Reply #3 on: April 11, 2006, 01:31:23 PM »
You could use the Ltype.shx file or make your own special shx.  I would not do a special shx file because I would have to send it everywhere if the Ltype was to display correctly, but that may not be a problem for you.

In any case playing with x scales y scales and locations you could make a line that was similar to what you are looking for particularly if you use a heavy penweight.  I made this linetype to show individual blocks in a block wall.
Code: [Select]
*BLOCK,BLOCKWALL |[][]|[][]|[][]|[][]|[][]|[][]|
A,0,[TRACK1,ltypeshp.shx,s=.15],-.09,-0.08,[BOX,ltypeshp.shx,x=-.11,s=.12],-0.15,-.15,[BOX,ltypeshp.shx,x=-.10,s=.12],-0.20
There is a problem with such a complex ltype, in that if you dont have an even stop point autocad puts in a regular straight line. Also the Shx stuff doesn't get wide in wide polylines etc

CADaver

  • Guest
Re: line style that i can't figure out
« Reply #4 on: April 11, 2006, 02:12:12 PM »
the problem with multi line is i need the dash in the middle to be huge (wide) and the lines on the outside to be skinney
Instead of three, use 10 or 12. 2 continuous on the outside, 8 dashed in the middle.

nah, that doesn't work either.
« Last Edit: April 11, 2006, 02:22:10 PM by CADaver »

Slim©

  • Needs a day job
  • Posts: 6566
  • The Dude Abides...
Re: line style that i can't figure out
« Reply #5 on: April 11, 2006, 02:19:45 PM »
Here is a lisp routine I wrote some time ago I think it might do what you want. (needs some updating, but still works)

Code: [Select]
;|SDPipe.lsp Lance R. Pickens a.k.a. Slim

|;
(defun DTR (a)
(* pi (/ A 180.0))
)

(defun C:SDPIPE (/ PNT1 PNT2 D D2 A ET HD L1 L2 L3 L4 OTM OSM CE)
(setq CE (getvar "CMDECHO"))
(setq OTM (getvar "ORTHOMODE"))
(setq OSM (getvar "osmode"))
(setvar "CMDECHO" 0)
(setvar "ORTHOMODE" 0)
(setvar "OSMODE" 0)

(setq PNT1 (getpoint "\nPick Start of Pipe: "))
(setq PNT2 (getpoint "\nPick End of Pipe: "))
(setq D (getdist "\nEnter Pipe Width: ")) ;In INCHES IE 24", 30", 42" SO ON
(setq D2 (/ D 12))
(setq D D2)
(while Pnt2
(setq HD (/ D 2))
(setq A (angle PNT1 PNT2))
(command ".line" PNT1 PNT2 "")
(command ".Pline" PNT1 PNT2 "")
(setq ET (entlast))
(setq L1 (polar pnt1 (- a (dtr 90)) HD))
(setq L2 (polar pnt2 (- a (dtr 90)) HD))
(setq L3 (polar pnt1 (+ a (dtr 90)) HD))
(setq L4 (polar pnt2 (+ a (dtr 90)) HD))
(command ".line" L1 L2 "" "line" L3 L4 "")
  (command ".Change" ET "" "P" "LT" "CMP2" "") ;change linetype to suit CMP, etc.
(command ".Pedit" ET "W" D "")
(setq PNT1 PNT2)
(setq PNT2 (getpoint PNT1 "\nNext Point: <Return> or Enter to Quit: "))
);end while
(setvar "CMDECHO" CE)
(setvar "ORTHOMODE" OTM)
(setvar "OSMODE" OSM)
)


Linetype used in code:

Code: [Select]
*CMP,Cmp __  __  __  __  __  __  __  __  __  __  __  __
A,.25,-.25
*CMP2,Cmp (.5x) _  _  _  _  _  _  _  _  _  _  _  _ 
A,.125,-.125 
*CMPX2,Cmp (2x) ____    ____    ____    ____    ____   
A,.5,-.5
I drink beer and I know things....

uncoolperson

  • Guest
Re: line style that i can't figure out
« Reply #6 on: April 11, 2006, 02:55:20 PM »
that's some pretty lisp slim, however it still creates more than one line (come on i'm working with electrical engineers... things gotta be edited alot)

right now i'm fighting with some shp file stuff... and dashes that are 1 high and .02 long.... and lining a few side by side to make the boxes

grush

  • Guest
Re: line style that i can't figure out
« Reply #7 on: April 11, 2006, 03:31:47 PM »


Has anyone tried that? It seems like it will work well for this application.

 http://www.autodsys.com/alinelinetypes.html

Pete

RbtDanforth

  • Guest
Re: line style that i can't figure out
« Reply #8 on: April 12, 2006, 03:17:58 AM »
As I posted above you can do your own shx and get nearly anything, however with ltypeshx.shx there are still many possibilities.



I did this as this ltype
Code: [Select]
*DASHEDSWAMP,Swamp line  -------
A,0,-.25,[TRACK1,ltypeshp.shx,y=.1,s=.125,r=90],-.0001,[TRACK1,ltypeshp.shx,y=-.1,s=.125,r=90],0,[BOX,ltypeshp.shx,x=-.1,s=.05],.00001,[BOX,ltypeshp.shx,x=-.12,s=.07]
not precisely your start point but very similar and as the circle shows able to go around curves. :-D

Sdoman

  • Guest
Re: line style that i can't figure out
« Reply #9 on: April 12, 2006, 08:21:46 AM »
<clip>
I did this as this ltype
Code: [Select]
*DASHEDSWAMP,Swamp line  -------
A,0,-.25,[TRACK1,ltypeshp.shx,y=.1,s=.125,r=90],-.0001,[TRACK1,ltypeshp.shx,y=-.1,s=.125,r=90],0,[BOX,ltypeshp.shx,x=-.1,s=.05],.00001,[BOX,ltypeshp.shx,x=-.12,s=.07]
<clip>

Very cool Dragon.  I've never tried making a SHX.  Is it very difficult to do?


RbtDanforth

  • Guest
Re: line style that i can't figure out
« Reply #10 on: April 12, 2006, 11:01:58 AM »
Quote
Very cool Dragon.  I've never tried making a SHX.  Is it very difficult to do
I have seen the documentation in most of the complete references (like Mastering Autocad) and there have been a few folk who have come up with a cad to shx program of some sort. But as I mentioned above the biggest problem with doing so is making sure everyone else has a copy.

 Unlike lisp or even pat files whoever ever wants to see the result has to have the shx file. Just working with an odd font can be a pain, but if the object shx is not there you can't see what the drawing is about. I have worked on drawings that somebody thought it was cool to substitute their simpler blocks with a shx and then didn't send the shx. So I would tackle such things with those kinds of issues in mind. If you normally work with something like civil drawings that use a Shx I would explore what was already there before launching your own.

All that said, they seem more tedium than difficult. You create a xxx.shp text file with a series of numbers that provide a series of pen moves and some codes about the moves and then compile the shp into a shx. Autocad used to ship with all the shp files as well as the shx but I don't recall seeing them for a while.

A quick look at  a copy of "Maximizing Autocad rev 12"(comes with a 5-1/4 disk) has a chapter on it, I suppose most compleat references do. That was the first I found on the shelf.

uncoolperson

  • Guest
Re: line style that i can't figure out
« Reply #11 on: April 12, 2006, 12:13:12 PM »
i got it done with some shx (man i really like that make shape tool in express) and multi line stupidity... then i remembered I'M DOING THIS IN ELECTRICAL (AutoCAD Electrical)

felling pretty stupid... forgot all about electrical hating anything but nice plain ole lines (no m, no p, no fun)

RbtDanforth

  • Guest
Re: line style that i can't figure out
« Reply #12 on: April 12, 2006, 12:25:05 PM »
Quote
felling pretty stupid...

apparently I should fell the same  :oops: I keep complaining that other folk don't realize when Autocad has fixed a problem, and keep on the old way......